/*********************************************************************** 
* Programm:		blink_arduino
* Autor:			Harald Rilling 
*	Plattform:	Arduino Uno
*
*	Datum:			25. November 2014
*
* HP:					www.rillingpower.de
*
*	Beschreibung:	Das gelbe LED auf dem Arduino Uno an PortB.5 blinkt mit
*								ca. 1 Hz
*
*
*
*
*
*
*
*
*
*
*
*
***********************************************************************/


#include <avr/io.h> 
#include <util/delay.h>  

// MCU name
#define MCU = atmega328p

// Konstanten
#define LED_Arduino	PB5

/*** SUBROUTINES ***/

/* Function delay_ms 
	Funktion:		wartet Millisekunden
	Parameter:	Zeit in Millisekunden
	Rckgabe:		keine

*/
void delay_ms(uint16_t ms)
{
  for(uint16_t t=0; t<=ms; t++)
	_delay_ms(1); 
}

/*** Ende SUBROUTINES ***/

int main (void) { 
  
	DDRB |= (1<<LED_Arduino);			// DDR PortB.5 auf Ausgang
  PORTB |= (1<<LED_Arduino);		// PortB.5 einschalten
	

	while(1) { 
		delay_ms(500);
		PORTB ^= (1<<LED_Arduino);	// invertiere PortB.5
	} 
		
	/* wird nie erreicht */
	return 0;
 
}